Skip to main content.
home | support | download

Back to List Archive

Feature requests

From: J Robinson <jrobinson852(at)not-real.yahoo.com>
Date: Tue Mar 23 2004 - 17:29:47 GMT
Hello Bill;

I have two small feature requests too. 

First, it would be good for applications that depend
on SWISH-E if there was a way to find out the version
of thelibswishe.so (or equivalent) that's used by
SWISH::API. It could be a simple method called
SWISH::API::swishversion() that would return a string
like "2.4.3".  I guess if this isn't in the C API then
this is a request to put a similar function there too.

Secondly and on a related note, I notice that  
  % swish-e -f pagec.index -H 9
returns the version of swish-e that built the index:
  # SWISH format: 2.4.2
but this data doesn't seem to be available through the
SWISH::API. 

If these features could be added, I think that
end-user applications could be made more stable and
informative.  I can supply patches if desired. Thanks
for your consideration.

jrobinson


--- Frank Naude <naudefj@telkomsa.net> wrote:
> Hi Bill,
> 
> Thank you for the reply. It would be GREAT if you
> can add this to the TO
> DO list.
> 
> Best regards.
> Frank
> 


__________________________________
Do you Yahoo!?
Yahoo! Finance Tax Center - File online. File on time.
http://taxes.yahoo.com/filing.html
Received on Tue Mar 23 09:29:48 2004